Frequently Asked Question

Google Maps requests an API key
Last Updated a year ago

Google Maps has recently (11 June 2018) started requiring an API key, hence the message.

If you would like to continue using the Google Maps Layer, you would have to set up an API Key in the OpenLayersPlugin for the Google Maps Javascript API on https://cloud.google.com/maps-platform/#get-started

More information:
https://developers.google.com/maps/documentation/javascript/usage-and-billing
https://developers.google.com/maps/documentation/javascript/get-api-key
https://cloud.google.com/maps-platform/user-guide/


As workaround you can also use Bing Aerial instead of Google Satellite as background layer.

Please Wait!

Please wait... it will take a second!